Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84844 - praliases command fails
Summary: praliases command fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 23:30 UTC by Chris Negus
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-01 14:24:45 UTC


Attachments (Terms of Use)

Description Chris Negus 2003-02-21 23:30:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The /usr/sbin/praliases command should display mail aliases. Instead, when I ran
the command as root user, it said the following:

praliases: /etc/aliases: open: Permission denied.

Permissions on the /etc/aliases file is 644 and owned by root/root. It seems to
be trying to open /etc/aliases.db, which has 640 permissions and is owned by
smmsp/smmsp.

After opening permissions:
    chmod 644 /etc/aliases.db

The praliases command displays aliases as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. As root, type /usr/sbin/praliases
2. 
3.
    

Actual Results:  Error messages says /etc/aliases: open: Permission denied.

Expected Results:  It should have displayed system aliases. Is there some reason
why this database should not be readable by root by default? Maybe you want
praliases to run as smmsp?

The message should at least identify the proper file that is failing to open.

Additional info:

Comment 1 Florian La Roche 2003-09-01 14:24:45 UTC
I want to leave sendmail with the more strict default permissions for
/etc/aliases.db.

Thanks for your report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.